%define	name	radvd
%define	version	1.1
%define rel	1
%define	release	%mkrel %{rel}

Summary:	The IPv6 Router Advertisement Daemon
Url:		http://v6web.litech.org/radvd/
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	BSD
Group:		System/Servers
Source0:	http://v6web.litech.org/radvd/dist/%{name}-%{version}.tar.bz2
Source1:	radvd-init.bz2
Source2:	radvd.conf.bz2
Requires(post):	rpm-helper
Requires(preun):	rpm-helper
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	flex bison

%description
IPv6 has a lot more support for autoconfiguration than IPv4. But
for this autoconfiguration to work on the hosts of a network, the
routers of the local network have to run a program which answers
the autoconfiguration requests of the hosts.

On Linux this program is called radvd, which stands for Router
ADVertisement Daemon. This daemon listens to router solicitations (RS)
and answers with router advertisement (RA). Furthermore unsolicited
RAs are also send from time to time.

These RAs contain information, which is used by hosts to configure
their interfaces. This information includes address prefixes, the MTU of
the link and information about default routers.

%prep
%setup -q

%build
%serverbuild
%configure
%make


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_sysconfdir}/radvd.conf
chmod 0644 $RPM_BUILD_ROOT%{_sysconfdir}/radvd.conf

mkdir -p $RPM_BUILD_ROOT%{_initrddir}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_initrddir}/radvd
chmod 755 $RPM_BUILD_ROOT%{_initrddir}/radvd
perl -pi -e "s|/etc/rc.d/init.d|%{_initrddir}|" $RPM_BUILD_ROOT%{_initrddir}/*


%clean
rm -rf $RPM_BUILD_ROOT

%post
%_post_service radvd

%preun
%_preun_service radvd
 
%files
%defattr(-,root,root)
%doc CHANGES COPYRIGHT README TODO INTRO.html radvd.conf.example
%config(noreplace) %{_sysconfdir}/radvd.conf
%{_initrddir}/radvd
%{_sbindir}/*
%{_mandir}/*/*




%changelog
* Sun Mar 02 2008 Pascal Terjan <pterjan@mandriva.org> 1.1-1mdv2008.1
+ Revision: 177747
- update to new version 1.1

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Sep 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.0-2mdv2008.0
+ Revision: 90248
- rebuild


* Wed Nov 01 2006 Pascal Terjan <pterjan@mandriva.org> 1.0-1mdv2007.0
+ Revision: 75061
- 1.0
- Import radvd

* Tue May 09 2006 Pascal Terjan <pterjan@mandriva.org> 0.9.1-1mdk
- New release 0.9.1

* Tue Jan 10 2006 Pascal Terjan <pterjan@mandriva.org> 0.9-1mdk
- 0.9

* Mon Jan 09 2006 Olivier Blin <oblin@mandriva.com> 0.8-5mdk
- fix typo in initscript

* Mon Jan 09 2006 Olivier Blin <oblin@mandriva.com> 0.8-4mdk
- convert parallel init to LSB
- split Requires(X,Y)

* Sun Jan 01 2006 Couriousous <couriousous@mandriva.org> 0.8-3mdk
- Add parallel init stuff

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.8-2mdk
- Rebuild

* Tue Aug 09 2005 Michael Scherer <misc@mandriva.org> 0.8-1mdk
- New release 0.8

* Sun Jun 19 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.7.3-2mdk
- add BuildRequires: bison

* Mon Jun 13 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.7.3-1mdk
- 0.7.3
- %%mkrel
- fix requires
- fix executable-marked-as-config-file

* Thu Aug 19 2004 Michael Scherer <misc@mandrake.org> 0.7.2-2mdk 
- Rebuild

